Bug 244917 - syncekonnector not compatible with new kitchensync in kdepim 3.5.7
syncekonnector not compatible with new kitchensync in kdepim 3.5.7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: syncekonnector (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On: 248996
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-19 16:32 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.22-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 23:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-06-19 16:32:47 EDT
Description of problem:
syncekonnector in F7 needs a rebuild against kdepim 3.5.7 in updates-testing 
due to soname changes. kdepim 3.5.7 is already tagged dist-fc7-override, so 
just rebuilding the package should be sufficient. It would be nice if the 
releases of this update and the KDE update could be coordinated to prevent 
breakage.

Version-Release number of selected component (if applicable):
syncekonnector-0.3.2-2.fc7

How reproducible:
Always

Steps to Reproduce:
1. Check the dependencies.
  
Actual results:
Broken deps.

Expected results:
No broken deps.
Comment 1 Michael Schwendt 2007-06-19 16:47:54 EDT
Or the kdepim 3.5.7 build is bad, since when comparing the "Provides",
there are lots of differences (several sonames are missing at all):

http://koji.fedoraproject.org/koji/rpminfo?rpmID=21038
http://koji.fedoraproject.org/koji/rpminfo?rpmID=94682
Comment 2 Kevin Kofler 2007-06-19 16:53:45 EDT
Ugh, indeed, libksync*, which syncekonnector depends on, vanished altogether. 
Than, Rex, any idea what's up here?
Comment 3 Rex Dieter 2007-06-19 17:03:34 EDT
afaict, libksync* is simply no longer in kdepim >= 3.5.7, ie, looks like
upstream dropped it.

anyone try simply rebuilding syncekonnector against kdepim-3.5.7? (/me crosses
fingers).
Comment 4 Kevin Kofler 2007-06-19 17:10:22 EDT
Actually, the problem is right there in the kdepim build.log:
> You're missing a compatible version of libopensync.
> Version 0.19 or greater is needed.
> kitchensync will not be built.

Reassigning to kdepim and fixing summary. Shall I open a bug against 
libopensync to get it updated? Or can we get it built with what's there?
Comment 5 Kevin Kofler 2007-06-19 17:13:22 EDT
Huh? F7's libopensync is 0.22, how's that not greater than 0.19? Missing BR?
Comment 6 Kevin Kofler 2007-06-19 17:23:37 EDT
OK, so I think I tracked this down: Indeed, this is a missing BR. The reason 
this problem didn't show up before is simply that this is a new BR in kdepim 
3.5.7, 3.5.6 apparently didn't use libopensync.

So 2 fixes are needed in kdepim:
1. + BuildRequires: libopensync-devel >= 0.19
2. The following change (removing the kitchensync plugins from the file list) 
has to be reverted:
http://cvs.fedora.redhat.com/viewcvs/rpms/kdepim/F-7/kdepim.spec?root=extras&r1=1.124&r2=1.125

syncekonnector probably does NOT need a rebuild, just a fixed kdepim.
Comment 7 Rex Dieter 2007-06-19 18:50:56 EDT
I added that in devel/rawhide:
* Wed Jun 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.7-2
- +BR: libopensync-devel

Looks like this needs to be included in the other branch/builds.  Though, even
with this, there still is no libkconnector.

I've confirmed that syncekonnector needs libkonnector to build.

I'll keep looking...
Comment 8 Kevin Kofler 2007-06-19 19:08:30 EDT
Looks like this has been killed upstream:
http://websvn.kde.org/branches/KDE/3.5/kdepim/Makefile.am.in?view=log

See, for KDE 4, they rewrote KitchenSync to use OpenSync instead of using its 
own plugins:
http://dot.kde.org/1182269390/
That's of course OK, but then they had the strange idea of backporting this to 
the stable branch, causing this breakage. So as far as I can tell, KitchenSync 
plugins are just plain not supported anymore, instead they have to be 
implemented as OpenSync plugins.

So the only solution to this problem is to get this in as quickly as possible:
http://www.opensync.org/attachment/wiki/download/libopensync-plugin-synce-0.22.tar.bz2?rev=&format=raw

Ideally, that package should be the one to obsolete syncekonnector, but the 
chances of that getting in before (or even better, at the same time as) kdepim 
3.5.7 gets in are pretty grim. So should an Obsoletes: syncekonnector be added 
to kdepim? That's not exactly a nice thing to do though. But what else can we 
do?
Comment 9 Kevin Kofler 2007-06-19 19:09:38 EDT
The BR libopensync-devel still has to be added to kdepim though.
Comment 10 Kevin Kofler 2007-06-19 19:13:03 EDT
Of course, another solution to this problem would be to just ship the KDE 3.5.6 
KitchenSync as a Source1 and building that instead. Yuck!
Comment 11 Rex Dieter 2007-06-19 19:14:37 EDT
The offending upstream commit was:
http://websvn.kde.org/?view=rev&revision=629405

Regardless, it looks like the problem now is outside of kdepim's domain,
reassigning back to synekonnector.
Comment 12 Kevin Kofler 2007-06-19 19:19:48 EDT
(Readding Than to CC.)

But what can be done about this in syncekonnector (other than a Conflicts: 
kdepim >=6:3.5.7, which I don't think is a good idea; or making it a dummy 
package, which is also silly)? Some other package needs to obsolete it, and I 
think kdepim is the only reasonable option unless you think 
libopensync-plugin-synce can get in within a week despite it not even having a 
review request yet.
Comment 13 Kevin Kofler 2007-06-19 19:28:56 EDT
Yet another summary change...
I filed a separate bug for the missing BR: Bug #244939
Comment 14 Aurelien Bompard 2007-06-20 02:26:08 EDT
FWIW, I'm OK with reviewing libopensync-plugin-synce as fast as possible, if
someone has a package ready.
If no one has, I can also package it, but it'll take a little more time
Comment 15 Andreas Bierfert 2007-06-20 02:34:12 EDT
Since I maintain libopensync-* I can update my private synce spec today. I will
post the review bug number here once I am done.
Comment 16 Kevin Kofler 2007-07-04 20:50:21 EDT
Ping? Have you forgotten about this one or just been too busy? kdepim 3.5.7 is 
in updates already, so we really need libopensync-plugin-synce in ASAP (with an 
Obsoletes: syncekonnector) to unbreak the dependency.
Comment 17 Andreas Bierfert 2007-07-05 10:18:42 EDT
Ups sorry, got distracted with university/job stuff. I will see that I get
something out till tomorrow. Sorry for the delay.
Comment 18 Andreas Bierfert 2007-07-10 03:53:12 EDT
Hi,

please take a look here. Some urgent tasks at university and preparations for
job applications poped up so that I don't have enough time to fiddle with it.
Fixes to the build problems are welcome.
http://fedora.lowlatency.de/review/libopensync-plugin-synce.spec
Comment 19 Kevin Kofler 2007-07-10 05:25:54 EDT
Not a formal review, but this needs an:
Obsoletes: syncekonnector
at least for everywhere KDE has been updated to 3.5.7 (i.e. 0%{?fedora}>5).
Comment 20 Rex Dieter 2007-07-19 23:32:34 EDT
fyi, I'll be contacting rel-eng to remove/block syncekonnector from
rawhide/devel.  We'll see what can be done about FC-6/F-7.
Comment 21 Andreas Bierfert 2007-07-20 03:45:52 EDT
Ok, I fixed the plugin spec and put it up for review... see bug #248996
Comment 22 Kevin Kofler 2007-07-20 07:51:50 EDT
libopensync-plugin-synce has just been approved and will obsolete this package.
Comment 23 Fedora Update System 2007-07-27 01:52:45 EDT
libopensync-plugin-synce-0.22-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2007-08-01 23:40:47 EDT
libopensync-plugin-synce-0.22-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.